import { PublicKey } from "@solana/web3.js";

export const PROGRAM_ID = new PublicKey(
  "Ev8cacuVtji4ANeFdAdUjEqd8ix7krqdX4J1AZnx8WSH"
);

export const STAKING_PROGRAM_ID = PROGRAM_ID;
export const SOLCAT_DECIMALS = 6;

export const LOCKUP_VAULT_LEN = 8 + 1 + 2 * 2 + 8 + 8 * 3; // 45
export const WITHDRAW_POSITION_LEN = 8 + 1 + 4 + 32 + 8 * 2 + 1; // 62
export const LOCKUP_STAKING_ACCOUNT_LEN = 8 + 1 + 4 + 32 * 2 + 2 + 8 * 2 + 1; // 96
